# StyleConfigurationSelection (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class StyleConfigurationSelection

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
  - - org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration
    - - org.deidentifier.arx.gui.view.impl.common.table.StyleConfigurationSelection

- All Implemented Interfaces:
    CTComponent, org.eclipse.nebula.widgets.nattable.config.IConfiguration

      public class StyleConfigurationSelection
      extends CTStyleConfiguration

  Sets up rendering style used for selected areas and the selection anchor.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.eclipse.swt.graphics.Font` | `font` TODO
    `org.eclipse.swt.graphics.Color` | `fullySelectedHeaderBgColor` TODO
    `org.eclipse.swt.graphics.Color` | `selectedHeaderBgColor` TODO
    `org.eclipse.nebula.widgets.nattable.style.BorderStyle` | `selectedHeaderBorderStyle` TODO
    `org.eclipse.swt.graphics.Color` | `selectedHeaderFgColor` TODO
    `org.eclipse.swt.graphics.Color` | `selectionBgColor` TODO
    `org.eclipse.swt.graphics.Color` | `selectionFgColor` TODO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleConfigurationSelection(CTConfiguration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureHeaderFullySelectedStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`
    `protected void` | `configureHeaderHasSelectionStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`
    `void` | `configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`
    `protected void` | `configureSelectionAnchorStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`
    `protected void` | `configureSelectionStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration

      `getConfig`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

      `configureLayer, configureUiBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### font

          public org.eclipse.swt.graphics.Font font

      TODO

    - #### selectionBgColor

          public org.eclipse.swt.graphics.Color selectionBgColor

      TODO

    - #### selectionFgColor

          public org.eclipse.swt.graphics.Color selectionFgColor

      TODO

    - #### selectedHeaderBgColor

          public org.eclipse.swt.graphics.Color selectedHeaderBgColor

      TODO

    - #### selectedHeaderFgColor

          public org.eclipse.swt.graphics.Color selectedHeaderFgColor

      TODO

    - #### selectedHeaderBorderStyle

          public org.eclipse.nebula.widgets.nattable.style.BorderStyle selectedHeaderBorderStyle

      TODO

    - #### fullySelectedHeaderBgColor

          public org.eclipse.swt.graphics.Color fullySelectedHeaderBgColor

      TODO

  - ### Constructor Detail

    - #### StyleConfigurationSelection

          public StyleConfigurationSelection(CTConfiguration config)

      Parameters:
        `config` -

  - ### Method Detail

    - #### configureRegistry

          public void configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

    - #### configureHeaderFullySelectedStyle

          protected void configureHeaderFullySelectedStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

      Parameters:
        `configRegistry` -

    - #### configureHeaderHasSelectionStyle

          protected void configureHeaderHasSelectionStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

      Parameters:
        `configRegistry` -

    - #### configureSelectionAnchorStyle

          protected void configureSelectionAnchorStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

      Parameters:
        `configRegistry` -

    - #### configureSelectionStyle

          protected void configureSelectionStyle(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

      Parameters:
        `configRegistry` -